Retrieve Plan - m3ter Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve Plan
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/plans/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200
- 4XX
- 5XX
Example JSON Response
{
"id": "<string>",
"version": 123,
"customFields": {},
"planTemplateId": "<string>",
"productId": "<string>",
"name": "<string>",
"code": "<string>",
"standingCharge": 123,
"standingChargeDescription": "<string>",
"ordinal": 123,
"bespoke": true,
"minimumSpend": 123,
"minimumSpendDescription": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>",
"accountId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Additional Responses
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
Type: string
Location: header
Required: Yes
m3tersupports machine to machine authentication using theclientCredentialsOAuth2 flow.The
authorizationCodeflow controls access for human users via m3ter Console application.
Path Parameters
- orgId: string (required) - UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
- id: string (required) - The UUID of the Plan to retrieve.
Response Description
- 200 application/json - Returns the Plan.